## org.gnu.gdk
Class PixbufAnimationIter

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gdk.PixbufAnimationIter

public class PixbufAnimationIter
extends GObject

Provides the necessary functionality to display an animation.

Constructor Summary
`PixbufAnimationIter(org.gnu.glib.Handle handle)`

Method Summary
`boolean` `advance(long currentSec, long currentUsec)` Possibly advances an animation to a new frame.
`int` `getDelayTime()` Gets the number of milliseconds the current Pixbuf should be displayed or -1 if the current Pixbuf should be displayed forever.
`Pixbuf` `getPixbuf()` Gets the current Pixbuf which should be displayed.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`boolean` `onCurrentlyLoadingFrame()` Returns true if the frame we're on is partially loaded, or the last frame

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PixbufAnimationIter

    public PixbufAnimationIter(org.gnu.glib.Handle handle)

Method Detail

### advance

    public boolean advance(long currentSec,
                           long currentUsec)

  Possibly advances an animation to a new frame. Chooses the frame based on the start time passed to the getIter method of PixbufAnimation.

  Parameters:
    `currentSec` -
    `currentUsec` -

### getDelayTime

    public int getDelayTime()

  Gets the number of milliseconds the current Pixbuf should be displayed or -1 if the current Pixbuf should be displayed forever.

### onCurrentlyLoadingFrame

    public boolean onCurrentlyLoadingFrame()

  Returns true if the frame we're on is partially loaded, or the last frame

### getPixbuf

    public Pixbuf getPixbuf()

  Gets the current Pixbuf which should be displayed.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.